log4cplus::thread::Semaphore Class Reference

`#include <syncprims.h>`

## Public Member Functions

| Semaphore (unsigned max, unsigned initial)
| ~Semaphore ()
| Semaphore (Semaphore const &)=delete
Semaphore & | operator= (Semaphore const &)=delete
void | lock () const
void | unlock () const

## Detailed Description

Definition at line 101 of file syncprims.h.

## Constructor & Destructor Documentation

## Semaphore() [1/2]

log4cplus::thread::Semaphore::Semaphore | ( | unsigned | max,
|  | unsigned | initial )

Referenced by operator=(), and Semaphore().

## ~Semaphore()

log4cplus::thread::Semaphore::~Semaphore | ( |  | ) |

## Semaphore() [2/2]

log4cplus::thread::Semaphore::Semaphore | ( | Semaphore const & |  | ) |

delete

References Semaphore().

## Member Function Documentation

## lock()

void log4cplus::thread::Semaphore::lock | ( |  | ) | const

## operator=()

Semaphore & log4cplus::thread::Semaphore::operator= | ( | Semaphore const & |  | ) |

delete

References Semaphore().

## unlock()

void log4cplus::thread::Semaphore::unlock | ( |  | ) | const

The documentation for this class was generated from the following file:

- syncprims.h